"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const request_promise_native_1 = __importDefault(require("request-promise-native"));
async function default_1(org, repo, pullRequestNumber) {
    const requestData = {
        headers: {
            Accept: 'application/vnd.github.v3.diff',
            Authorization: `token ${process.env.GITHUB_ACCESS_TOKEN}`,
            'User-Agent': 'Markdown-check-bot'
        },
        uri: `https://api.github.com/repos/${org}/${repo}/pulls/${pullRequestNumber}`
    };
    const patchText = await request_promise_native_1.default(requestData);
    return patchText;
}
exports.default = default_1;
