"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createRequestData(organization, repository, sha) {
    return {
        headers: {
            Accept: 'application/vnd.github.v3.raw',
            Authorization: `token ${process.env.GITHUB_ACCESS_TOKEN}`,
            'User-Agent': 'Markdown-check-bot'
        },
        hostname: 'api.github.com',
        path: `/repos/${organization}/${repository}/tarball/${sha}`
    };
}
exports.default = createRequestData;
