"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_branch_name_1 = __importDefault(require("./get-branch-name"));
async function default_1(filepath, context) {
    const content = await context.github.repos.getContents(context.repo({ path: filepath, ref: get_branch_name_1.default(context) }));
    return [
        Buffer.from(content.data.content, 'base64').toString(),
        content.data.sha
    ];
}
exports.default = default_1;
