"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_branch_name_1 = __importDefault(require("./get-branch-name"));
async function default_1(filename, text, sha, context) {
    await context.github.repos.updateFile(context.repo({
        branch: get_branch_name_1.default(context),
        content: Buffer.from(text).toString('base64'),
        message: `Prettify ${filename}`,
        path: filename,
        sha
    }));
}
exports.default = default_1;
